# Doctari

Doctari is an exploration in structured document editing that encourages freedom
in organizing and ordering content by headings. That is to say, if you feel like
re-ordering your document, Doctari can do that for you rather than leaving you
with an awkward copy and paste job.

For the sake of the curious, "Doctari" is a suggestion from my father and
represents a:

> Word play on 1960s TV series [Daktari](https://en.wikipedia.org/wiki/Daktari)

![Daktari Screenshot](https://upload.wikimedia.org/wikipedia/commons/b/b3/Daktari_Clarence_Judy_1967.JPG)

Picture is cool. Idea is cool. Let's make a doctor for your documents.

## Doctari is Built With [Elm](http://elm-lang.org/)

If you haven't already heard of it, Elm is 

> "A delightful language for reliable webapps."

That's just a fun way of saying Elm is:

- A front-end language that compiles to JavaScript
- A functional language that feels like the ML-family of languages (Haskell, F#,
  Scala, Ocaml, etc)
- Powered by an intelligent compiler with a strong understanding of types
- A templating language with a virtual DOM implementation that claims to be
  faster than React
- A cool language that encourages you to think elegantly about web applications

Doctari is really my first serious Elm project, so expect things to change as
I'm using this as a way to explore and learn the language and framework.

## How To Use

If you don't already know how Elm works, you should probably start
[here](https://guide.elm-lang.org/get_started.html).

If you do, you'll have to wait until I actually publish this as a package for
you to use. In the meantime, check out the examples and feel free to clone
it down so you can roll with it yourself.
